Name:            libmikmod
Version:         3.3.11.1
Release:         6
Summary:         MOD Music File Player library
License:         GPLv2 and LGPLv2+
URL:             http://mikmod.sourceforge.net/
Source0:         http://downloads.sourceforge.net/mikmod/libmikmod-%{version}.tar.gz
Patch0001:       libmikmod-64bit.patch
Patch0002:       libmikmod-multilib.patch
Patch0003:       libmikmod-cflags.patch
BuildRequires:   alsa-lib-devel pulseaudio-libs-devel

%description
libmikmod is a library of mikmod MOD music file players for systems similar to
UNIX. Supported file formats include: MOD, STM, S3M, MTM, XM, ULT, and IT.

%package         devel
Summary:         Header files and documentation for compiling mikmod applications
Provides:        mikmod-devel = %{version}-%{release}
Requires:        %{name} = %{version}-%{release} pulseaudio-libs-devel
Requires(post):  info
Requires(preun): info

%description     devel
The libmikmod-devel package includes header files and libraries necessary
for the libmikmod library.

%package         help
Summary:         This package contains help documents
Requires:        %{name} = %{version}-%{release}

%description     help
Files for help with libmikmod.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --enable-dl --enable-alsa --disable-simd
%make_build

%install
%make_install
%delete_la_and_a
%ldconfig_scriptlets

%post devel
/sbin/install-info %{_infodir}/mikmod.info %{_infodir}/dir || :


%files
%doc COPYING.LIB COPYING.LESSER
%{_libdir}/libmikmod.so.3*

%files devel
%{_bindir}/%{name}-config
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/aclocal/%{name}.m4
%{_includedir}/mikmod.h
%{_infodir}/mikmod.info*
%exclude %{_infodir}/dir

%files help
%doc AUTHORS NEWS README TODO
%{_mandir}/man1/%{name}-config*

%changelog
* Sun Sep 20 2020 yanan li <liyanan032@huawei.com> - 3.3.11.1-6
- delete %postun

* Wed Nov 27 2019 gulining<gulining1@huawei.com> - 3.3.11.1-5
- Pakcage init
